KD Chart 2: KDChart::ValueTrackerAttributes Class Reference

- Main Page
- Namespaces
- Classes
- Files
- Directories
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# KDChart::ValueTrackerAttributes Class Reference

`#include <KDChartValueTrackerAttributes>`

List of all members.

## Detailed Description

Cell-specific attributes regarding value tracking.

ValueTrackerAttributes groups the properties regarding value tracking, and how it is displayed. Value tracking can be used to emphasize on one or several specific points in a line diagram.

Definition at line 49 of file KDChartValueTrackerAttributes.h.

## Public Member Functions
QBrush | areaBrush () const
| Returns: The brush the area below the value tracking lines is filled with
bool | isEnabled () const
| Returns: Whether value tracking is enabled or not
QSizeF | markerSize () const
| Returns: The size of the markers
bool | operator!= (const ValueTrackerAttributes &other) const
ValueTrackerAttributes & | operator= (const ValueTrackerAttributes &)
bool | operator== (const ValueTrackerAttributes &) const
QPen | pen () const
| Returns: The pen the lines and markers are drawn with
void | setAreaBrush (const QBrush &brush)
| Set the brush the area below the value tracking lines should be filled with.
void | setEnabled (bool enabled)
| Set whether value tracking should be enabled for a specific index or not.
void | setMarkerSize (const QSizeF &size)
| Set the size of the markers.
void | setPen (const QPen &pen)
| Set the pen the value tracking lines and markers will be drawn with.
| ValueTrackerAttributes (const ValueTrackerAttributes &)
| ValueTrackerAttributes ()
| ~ValueTrackerAttributes ()

## Constructor & Destructor Documentation

ValueTrackerAttributes::ValueTrackerAttributes | ( |  | ) |

Definition at line 58 of file KDChartValueTrackerAttributes.cpp.

    00059     : _d( new Private() )
    00060 {
    00061 }

ValueTrackerAttributes::ValueTrackerAttributes | ( | const ValueTrackerAttributes & |  | ) |

Definition at line 63 of file KDChartValueTrackerAttributes.cpp.

    00064     : _d( new Private( *r.d ) )
    00065 {
    00066 }

ValueTrackerAttributes::~ValueTrackerAttributes | ( |  | ) |

Definition at line 78 of file KDChartValueTrackerAttributes.cpp.

    00079 {
    00080     delete _d; _d = 0;
    00081 }

## Member Function Documentation

QBrush ValueTrackerAttributes::areaBrush | ( |  | ) | const

Returns:
  The brush the area below the value tracking lines is filled with

Definition at line 107 of file KDChartValueTrackerAttributes.cpp.

References d.

Referenced by operator==().

    00108 {
    00109     return d->areaBrush;
    00110 }

bool ValueTrackerAttributes::isEnabled | ( |  | ) | const

Returns:
  Whether value tracking is enabled or not

Definition at line 127 of file KDChartValueTrackerAttributes.cpp.

References d.

Referenced by operator<<(), and operator==().

    00128 {
    00129     return d->enabled;
    00130 }

QSizeF ValueTrackerAttributes::markerSize | ( |  | ) | const

Returns:
  The size of the markers

Definition at line 117 of file KDChartValueTrackerAttributes.cpp.

References d.

Referenced by operator<<(), and operator==().

    00118 {
    00119     return d->markerSize;
    00120 }

bool KDChart::ValueTrackerAttributes::operator!= | ( | const ValueTrackerAttributes & | other | ) | const

Definition at line 103 of file KDChartValueTrackerAttributes.h.

    00103 { return !operator==(other); }

ValueTrackerAttributes & ValueTrackerAttributes::operator= | ( | const ValueTrackerAttributes & |  | ) |

Definition at line 68 of file KDChartValueTrackerAttributes.cpp.

References d.

    00069 {
    00070     if( this == &r )
    00071         return *this;
    00072
    00073     *d = *r.d;
    00074
    00075     return *this;
    00076 }

bool ValueTrackerAttributes::operator== | ( | const ValueTrackerAttributes & |  | ) | const

Definition at line 84 of file KDChartValueTrackerAttributes.cpp.

References areaBrush(), isEnabled(), markerSize(), and pen().

    00085 {
    00086     return ( pen() == r.pen() &&
    00087              areaBrush() == r.areaBrush() &&
    00088              markerSize() == r.markerSize() &&
    00089              isEnabled() == r.isEnabled() );
    00090 }

QPen ValueTrackerAttributes::pen | ( |  | ) | const

Returns:
  The pen the lines and markers are drawn with

Definition at line 97 of file KDChartValueTrackerAttributes.cpp.

References d.

Referenced by operator<<(), and operator==().

    00098 {
    00099     return d->pen;
    00100 }

void ValueTrackerAttributes::setAreaBrush | ( | const QBrush & | brush | ) |

Set the brush the area below the value tracking lines should be filled with.

Default is a black brush with the style Qt::NoBrush.

Parameters:

  | brush | The brush the area should be filled with

Definition at line 102 of file KDChartValueTrackerAttributes.cpp.

References d.

    00103 {
    00104     d->areaBrush = brush;
    00105 }

void ValueTrackerAttributes::setEnabled | ( | bool | enabled | ) |

Set whether value tracking should be enabled for a specific index or not.

Parameters:

  | enabled | Whether value tracking should be enabled or not

Definition at line 122 of file KDChartValueTrackerAttributes.cpp.

References d.

    00123 {
    00124     d->enabled = enabled;
    00125 }

void ValueTrackerAttributes::setMarkerSize | ( | const QSizeF & | size | ) |

Set the size of the markers.

This includes both the arrows at the axises and the circle at the data point.

Parameters:

  | size | The size of the markers

Definition at line 112 of file KDChartValueTrackerAttributes.cpp.

References d.

    00113 {
    00114     d->markerSize = size;
    00115 }

void ValueTrackerAttributes::setPen | ( | const QPen & | pen | ) |

Set the pen the value tracking lines and markers will be drawn with.

Parameters:

  | pen | The pen the lines and markers will be drawn with

Definition at line 92 of file KDChartValueTrackerAttributes.cpp.

References d.

    00093 {
    00094     d->pen = pen;
    00095 }

The documentation for this class was generated from the following files:

- KDChartValueTrackerAttributes.h
- KDChartValueTrackerAttributes.cpp